#include <bits/stdc++.h>

using namespace std;

vector < pair <double, double> > p;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL); cout.tie(NULL);
	
	int n;
	
	cin >> n;
	
	for(int i = 0; i < n; i++) 
	{
		double a1, a2;
		
		cin >> a1 >> a2;
		
		p.push_back({a2 * 1.0000, a1 * 1.0000});
	}
	
	sort(p.begin(), p.end());
	
	double m = 0, s = 0;
	
	for(int i = n - 1; i >= 0; i--)
	{
		s += p[i].second;
		
		if(s * p[i].first / 100.0000 > m) m = s * p[i].first / 100.0000;
	}
	
	cout << setprecision(4) << fixed << m;
	
	return 0;
}